Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/payouts

List all payouts

Returns a list of existing payouts sent to third-party bank accounts or payouts that Stripe sent to you. The payouts return in sorted order, with the most recently created payouts appearing first.

Request parameters

ParameterLocationTypeDescription
arrival_datequeryone of multiple schemasOnly return payouts that are expected to arrive during the given date interval.
createdqueryone of multiple schemasOnly return payouts that were created during the given date interval.
destinationquerystringThe ID of an external account - only return payouts sent to this external account.
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
statusquerystringOnly return payouts that have the given status: `pending`, `paid`, `failed`, or `canceled`.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of payout
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payouts

Create a payout

To send funds to your own bank account, create a new payout object. Your Stripe balance must cover the payout amount. If it doesn’t, you receive an “Insufficient Funds” error. If your API key is in test mode, money won’t actually be sent, though every other action occurs as if you’re in live mode. If you create a manual payout on a Stripe account that uses multiple payment source types, you need to specify the source type balance that the payout draws from. The balance object details available and pending amounts by source type.

Request parameters

FieldTypeDescription
amount requiredintegerA positive integer in cents representing how much to payout.
currency requiredstringThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationstringThe ID of a bank account or a card to send the payout to. If you don't provide a destination, we use the default external account for the specified currency.
expandarray of stringSpecifies which fields in the response should be expanded.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
methodstringThe method used to send this payout, which is `standard` or `instant`. We support `instant` for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).
payout_methodstringThe ID of a v2 FinancialAccount to send funds to.
source_typestringThe balance type of your Stripe balance to draw this payout from. Balances for different payment sources are kept separately. You can find the amounts with the Balances API. One of `bank_account`, `card`, or `fpx`.
statement_descriptorstringA string that displays on the recipient's bank or card statement (up to 22 characters). A `statement_descriptor` that's longer than 22 characters return an error. Most banks truncate this information and display it inconsistently. Some banks might not display it at all. For US ACH payouts, this maps to the ACH Company Entry Description field, which the NACHA standard limits to 10 characters. Stripe truncates descriptors longer than 10 characters for US ACH payouts.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amount requiredintegerThe amount (in cents (or local equivalent)) that transfers to your bank account or debit card.
application_feeone of multiple schemasThe application fee (if any) for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
application_fee_amountintegerThe amount of the application fee (if any) requested for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
arrival_date requiredintegerDate that you can expect the payout to arrive in the bank. This factors in delays to account for weekends or bank holidays.
automatic requiredbooleanReturns `true` if the payout is created by an [automated payout schedule](https://docs.stripe.com/payouts#payout-schedule) and `false` if it's [requested manually](https://stripe.com/docs/payouts#manual-payouts).
balance_transactionone of multiple schemasID of the balance transaction that describes the impact of this payout on your account balance.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
currency requiredstringThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationone of multiple schemasID of the bank account or card the payout is sent to.
failure_balance_transactionone of multiple schemasIf the payout fails or cancels, this is the ID of the balance transaction that reverses the initial balance transaction and returns the funds from the failed payout back in your balance.
failure_codestringError code that provides a reason for a payout failure, if available. View our [list of failure codes](https://docs.stripe.com/api#payout_failures).
failure_messagestringMessage that provides the reason for a payout failure, if available.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
method requiredstringThe method used to send this payout, which can be `standard` or `instant`. `instant` is supported for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).
object requiredstringString representing the object's type. Objects of the same type share the same value.
original_payoutone of multiple schemasIf the payout reverses another, this is the ID of the original payout.
payout_methodstringID of the v2 FinancialAccount the funds are sent to.
reconciliation_status requiredstringIf `completed`, you can use the [Balance Transactions API](https://docs.stripe.com/api/balance_transactions/list#balance_transaction_list-payout) to list all balance transactions that are paid out in this payout.
reversed_byone of multiple schemasIf the payout reverses, this is the ID of the payout that reverses this payout.
source_type requiredstringThe source balance this payout came from, which can be one of the following: `card`, `fpx`, or `bank_account`.
statement_descriptorstringExtra information about a payout that displays on the user's bank statement.
status requiredstringCurrent status of the payout: `paid`, `pending`, `in_transit`, `canceled` or `failed`. A payout is `pending` until it's submitted to the bank, when it becomes `in_transit`. The status changes to `paid` if the transaction succeeds, or to `failed` or `canceled` (within 5 business days). Some payouts that fail might initially show as `paid`, then change to `failed`.
trace_idone of multiple schemasA value that generates from the beneficiary's bank that allows users to track payouts with their bank. Banks might call this a "reference number" or something similar.
type requiredstringCan be `bank_account` or `card`.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/payouts/{payout}

Retrieve a payout

Retrieves the details of an existing payout. Supply the unique payout ID from either a payout creation request or the payout list. Stripe returns the corresponding payout information.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
payoutpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amount requiredintegerThe amount (in cents (or local equivalent)) that transfers to your bank account or debit card.
application_feeone of multiple schemasThe application fee (if any) for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
application_fee_amountintegerThe amount of the application fee (if any) requested for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
arrival_date requiredintegerDate that you can expect the payout to arrive in the bank. This factors in delays to account for weekends or bank holidays.
automatic requiredbooleanReturns `true` if the payout is created by an [automated payout schedule](https://docs.stripe.com/payouts#payout-schedule) and `false` if it's [requested manually](https://stripe.com/docs/payouts#manual-payouts).
balance_transactionone of multiple schemasID of the balance transaction that describes the impact of this payout on your account balance.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
currency requiredstringThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationone of multiple schemasID of the bank account or card the payout is sent to.
failure_balance_transactionone of multiple schemasIf the payout fails or cancels, this is the ID of the balance transaction that reverses the initial balance transaction and returns the funds from the failed payout back in your balance.
failure_codestringError code that provides a reason for a payout failure, if available. View our [list of failure codes](https://docs.stripe.com/api#payout_failures).
failure_messagestringMessage that provides the reason for a payout failure, if available.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
method requiredstringThe method used to send this payout, which can be `standard` or `instant`. `instant` is supported for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).
object requiredstringString representing the object's type. Objects of the same type share the same value.
original_payoutone of multiple schemasIf the payout reverses another, this is the ID of the original payout.
payout_methodstringID of the v2 FinancialAccount the funds are sent to.
reconciliation_status requiredstringIf `completed`, you can use the [Balance Transactions API](https://docs.stripe.com/api/balance_transactions/list#balance_transaction_list-payout) to list all balance transactions that are paid out in this payout.
reversed_byone of multiple schemasIf the payout reverses, this is the ID of the payout that reverses this payout.
source_type requiredstringThe source balance this payout came from, which can be one of the following: `card`, `fpx`, or `bank_account`.
statement_descriptorstringExtra information about a payout that displays on the user's bank statement.
status requiredstringCurrent status of the payout: `paid`, `pending`, `in_transit`, `canceled` or `failed`. A payout is `pending` until it's submitted to the bank, when it becomes `in_transit`. The status changes to `paid` if the transaction succeeds, or to `failed` or `canceled` (within 5 business days). Some payouts that fail might initially show as `paid`, then change to `failed`.
trace_idone of multiple schemasA value that generates from the beneficiary's bank that allows users to track payouts with their bank. Banks might call this a "reference number" or something similar.
type requiredstringCan be `bank_account` or `card`.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payouts/{payout}

Update a payout

Updates the specified payout by setting the values of the parameters you pass. We don’t change parameters that you don’t provide. This request only accepts the metadata as arguments.

Request parameters

ParameterLocationTypeDescription
payoutpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.
metadataone of multiple schemasSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amount requiredintegerThe amount (in cents (or local equivalent)) that transfers to your bank account or debit card.
application_feeone of multiple schemasThe application fee (if any) for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
application_fee_amountintegerThe amount of the application fee (if any) requested for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
arrival_date requiredintegerDate that you can expect the payout to arrive in the bank. This factors in delays to account for weekends or bank holidays.
automatic requiredbooleanReturns `true` if the payout is created by an [automated payout schedule](https://docs.stripe.com/payouts#payout-schedule) and `false` if it's [requested manually](https://stripe.com/docs/payouts#manual-payouts).
balance_transactionone of multiple schemasID of the balance transaction that describes the impact of this payout on your account balance.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
currency requiredstringThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationone of multiple schemasID of the bank account or card the payout is sent to.
failure_balance_transactionone of multiple schemasIf the payout fails or cancels, this is the ID of the balance transaction that reverses the initial balance transaction and returns the funds from the failed payout back in your balance.
failure_codestringError code that provides a reason for a payout failure, if available. View our [list of failure codes](https://docs.stripe.com/api#payout_failures).
failure_messagestringMessage that provides the reason for a payout failure, if available.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
method requiredstringThe method used to send this payout, which can be `standard` or `instant`. `instant` is supported for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).
object requiredstringString representing the object's type. Objects of the same type share the same value.
original_payoutone of multiple schemasIf the payout reverses another, this is the ID of the original payout.
payout_methodstringID of the v2 FinancialAccount the funds are sent to.
reconciliation_status requiredstringIf `completed`, you can use the [Balance Transactions API](https://docs.stripe.com/api/balance_transactions/list#balance_transaction_list-payout) to list all balance transactions that are paid out in this payout.
reversed_byone of multiple schemasIf the payout reverses, this is the ID of the payout that reverses this payout.
source_type requiredstringThe source balance this payout came from, which can be one of the following: `card`, `fpx`, or `bank_account`.
statement_descriptorstringExtra information about a payout that displays on the user's bank statement.
status requiredstringCurrent status of the payout: `paid`, `pending`, `in_transit`, `canceled` or `failed`. A payout is `pending` until it's submitted to the bank, when it becomes `in_transit`. The status changes to `paid` if the transaction succeeds, or to `failed` or `canceled` (within 5 business days). Some payouts that fail might initially show as `paid`, then change to `failed`.
trace_idone of multiple schemasA value that generates from the beneficiary's bank that allows users to track payouts with their bank. Banks might call this a "reference number" or something similar.
type requiredstringCan be `bank_account` or `card`.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payouts/{payout}/cancel

Cancel a payout

You can cancel a previously created payout if its status is pending. Stripe refunds the funds to your available balance. You can’t cancel automatic Stripe payouts.

Request parameters

ParameterLocationTypeDescription
payoutpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amount requiredintegerThe amount (in cents (or local equivalent)) that transfers to your bank account or debit card.
application_feeone of multiple schemasThe application fee (if any) for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
application_fee_amountintegerThe amount of the application fee (if any) requested for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
arrival_date requiredintegerDate that you can expect the payout to arrive in the bank. This factors in delays to account for weekends or bank holidays.
automatic requiredbooleanReturns `true` if the payout is created by an [automated payout schedule](https://docs.stripe.com/payouts#payout-schedule) and `false` if it's [requested manually](https://stripe.com/docs/payouts#manual-payouts).
balance_transactionone of multiple schemasID of the balance transaction that describes the impact of this payout on your account balance.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
currency requiredstringThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationone of multiple schemasID of the bank account or card the payout is sent to.
failure_balance_transactionone of multiple schemasIf the payout fails or cancels, this is the ID of the balance transaction that reverses the initial balance transaction and returns the funds from the failed payout back in your balance.
failure_codestringError code that provides a reason for a payout failure, if available. View our [list of failure codes](https://docs.stripe.com/api#payout_failures).
failure_messagestringMessage that provides the reason for a payout failure, if available.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
method requiredstringThe method used to send this payout, which can be `standard` or `instant`. `instant` is supported for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).
object requiredstringString representing the object's type. Objects of the same type share the same value.
original_payoutone of multiple schemasIf the payout reverses another, this is the ID of the original payout.
payout_methodstringID of the v2 FinancialAccount the funds are sent to.
reconciliation_status requiredstringIf `completed`, you can use the [Balance Transactions API](https://docs.stripe.com/api/balance_transactions/list#balance_transaction_list-payout) to list all balance transactions that are paid out in this payout.
reversed_byone of multiple schemasIf the payout reverses, this is the ID of the payout that reverses this payout.
source_type requiredstringThe source balance this payout came from, which can be one of the following: `card`, `fpx`, or `bank_account`.
statement_descriptorstringExtra information about a payout that displays on the user's bank statement.
status requiredstringCurrent status of the payout: `paid`, `pending`, `in_transit`, `canceled` or `failed`. A payout is `pending` until it's submitted to the bank, when it becomes `in_transit`. The status changes to `paid` if the transaction succeeds, or to `failed` or `canceled` (within 5 business days). Some payouts that fail might initially show as `paid`, then change to `failed`.
trace_idone of multiple schemasA value that generates from the beneficiary's bank that allows users to track payouts with their bank. Banks might call this a "reference number" or something similar.
type requiredstringCan be `bank_account` or `card`.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payouts/{payout}/reverse

Reverse a payout

Reverses a payout by debiting the destination bank account. At this time, you can only reverse payouts for connected accounts to US and Canadian bank accounts. If the payout is manual and in the pending status, use /v1/payouts/:id/cancel instead. By requesting a reversal through /v1/payouts/:id/reverse, you confirm that the authorized signatory of the selected bank account authorizes the debit on the bank account and that no other authorization is required.

Request parameters

ParameterLocationTypeDescription
payoutpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amount requiredintegerThe amount (in cents (or local equivalent)) that transfers to your bank account or debit card.
application_feeone of multiple schemasThe application fee (if any) for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
application_fee_amountintegerThe amount of the application fee (if any) requested for the payout. [See the Connect documentation](https://docs.stripe.com/connect/instant-payouts#monetization-and-fees) for details.
arrival_date requiredintegerDate that you can expect the payout to arrive in the bank. This factors in delays to account for weekends or bank holidays.
automatic requiredbooleanReturns `true` if the payout is created by an [automated payout schedule](https://docs.stripe.com/payouts#payout-schedule) and `false` if it's [requested manually](https://stripe.com/docs/payouts#manual-payouts).
balance_transactionone of multiple schemasID of the balance transaction that describes the impact of this payout on your account balance.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
currency requiredstringThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationone of multiple schemasID of the bank account or card the payout is sent to.
failure_balance_transactionone of multiple schemasIf the payout fails or cancels, this is the ID of the balance transaction that reverses the initial balance transaction and returns the funds from the failed payout back in your balance.
failure_codestringError code that provides a reason for a payout failure, if available. View our [list of failure codes](https://docs.stripe.com/api#payout_failures).
failure_messagestringMessage that provides the reason for a payout failure, if available.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
method requiredstringThe method used to send this payout, which can be `standard` or `instant`. `instant` is supported for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).
object requiredstringString representing the object's type. Objects of the same type share the same value.
original_payoutone of multiple schemasIf the payout reverses another, this is the ID of the original payout.
payout_methodstringID of the v2 FinancialAccount the funds are sent to.
reconciliation_status requiredstringIf `completed`, you can use the [Balance Transactions API](https://docs.stripe.com/api/balance_transactions/list#balance_transaction_list-payout) to list all balance transactions that are paid out in this payout.
reversed_byone of multiple schemasIf the payout reverses, this is the ID of the payout that reverses this payout.
source_type requiredstringThe source balance this payout came from, which can be one of the following: `card`, `fpx`, or `bank_account`.
statement_descriptorstringExtra information about a payout that displays on the user's bank statement.
status requiredstringCurrent status of the payout: `paid`, `pending`, `in_transit`, `canceled` or `failed`. A payout is `pending` until it's submitted to the bank, when it becomes `in_transit`. The status changes to `paid` if the transaction succeeds, or to `failed` or `canceled` (within 5 business days). Some payouts that fail might initially show as `paid`, then change to `failed`.
trace_idone of multiple schemasA value that generates from the beneficiary's bank that allows users to track payouts with their bank. Banks might call this a "reference number" or something similar.
type requiredstringCan be `bank_account` or `card`.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors